## imcode.server.document
Class DocumentPredicate

    java.lang.Object
      imcode.server.document.DocumentPredicate

All Implemented Interfaces:
  org.apache.commons.collections.Predicate

    public abstract class DocumentPredicate

extends java.lang.Object
implements org.apache.commons.collections.Predicate

Constructor Summary
`DocumentPredicate()`

Method Summary
`boolean` `evaluate(java.lang.Object object)`
`abstract boolean` `evaluateDocument(DocumentDomainObject document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentPredicate

    public DocumentPredicate()

Method Detail

### evaluate

    public boolean evaluate(java.lang.Object object)

  Specified by:
    `evaluate` in interface `org.apache.commons.collections.Predicate`

### evaluateDocument

    public abstract boolean evaluateDocument(DocumentDomainObject document)